//
//  EmbeddedPresenceViewViewController.swift
//  PresenceSDKDemoIntegration
//
//  Created by Jonathan Backer on 6/4/22.
//  Copyright © 2022 Ticketmaster. All rights reserved.
//

import Foundation
import UIKit
import PresenceSDK // for PresenceView

/// an example of using PSDK as a UIView embedded in a UIViewController
class EmbeddedPresenceViewViewController: UIViewController {
    
    @IBOutlet weak var presenceView: PresenceView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        title = "My Events"
        
        view.backgroundColor = AppDelegate.brandingColor
        
        // attach PSDK to this embedded PresenceView
        PSDK.shared.start(presenceView: presenceView)
    }
}
