//
//  PresenceManager+Notifications.swift
//  PresenceSDKDemoIntegration
//
//  Created by Jonathan Backer on 10/11/21.
//  Copyright © 2021 Ticketmaster. All rights reserved.
//

import Foundation
import PresenceSDK // for PresenceEventAnalytics

// MARK: Presence SDK Local Notification Handlers
extension PresenceManager {
    
    func addSDKNotificationHandlers() {
        // see: PresenceEventAnalytics.Action for other notification values
        NotificationCenter.default.addObserver(self,
                                               selector: #selector(self.ticketsScreenShown),
                                               name: NSNotification.Name(rawValue: PresenceEventAnalytics.Action.ACTION_MANAGETICKETSCREENSHOWED),
                                               object: nil)
    }
    
    /**
     Called when user selects a particular event to view tickets.
     */
    @objc func ticketsScreenShown(_ notification: Notification) {
        guard let userInfo = notification.userInfo else {
            return
        }
        
        let eventId = userInfo[PresenceEventAnalytics.Data.EVENT_ID] ?? ""
        let eventName = userInfo[PresenceEventAnalytics.Data.EVENT_NAME] ?? ""
        print("ticketsScreenShown: Event_Id: \(eventId), Event_Name: \(eventName)")
        // TODO: log to analytics
    }
}
